<!doctype html>
<html>
<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    <title>{{ trans('fi.invoice') }} #{{ $invoice->number }}</title>

    <style>
        @page {
            margin: 25px;
        }

        body {
            color: #001028;
            background: #FFFFFF;
            font-family : DejaVu Sans, Helvetica, sans-serif;
            font-size: 12px;
            margin-bottom: 50px;
        }

        a {
            color: blue;
            /**border-bottom: 1px solid currentColor;**/
            text-decoration: none;
        }

        h1 {
            color: #5D6975;
            font-size: 2.8em;
            line-height: 1.4em;
            font-weight: bold;
            margin: 0;
        }

        table {
            width: 100%;
            border-spacing: 0;
            margin-bottom: 20px;
            background-color: transparent;
        }

        #description th{
            border: 1px solid #ddd;
        }
        
        .item td{
            border: 1px solid #ddd;
        }
        
        .item:nth-child(even) {
            background-color: #f2f2f2;
        }

        th, .section-header {
            background: #bed0db;
            padding: 4px 10px;
            white-space: nowrap;
            text-align: left;
            font-weight: bold;
        }

        td {
            padding: 5px;
        }

        th.amount, td.amount {
            text-align: right;
        }

                .tablehead {
            text-align: left;
            vertical-align: top;
        }

        .tsummary {
            width: 40%;
            text-align: right;
        }
        
        .qsummary td{
            border: 1px solid #ddd;
        }
        
        .qsummarybalance {
            background: #bed0db;
            white-space: nowrap;
            font-weight: normal;
            font-size: 14px;
        }
        
        .label {
            font-weight:bold;
        }

        .productcol {
            width: 15%;
        }
        
        #amount {
            border: 1px solid #ddd;
            font-weight: bold;
        }
        
        #balance {
            background-color: #dddddd;
            font-weight: bold;
            border-top: 1px solid black;
            border-bottom: 3px double black;
            font-size: 14px;
        }
        
        #totaldes {
            font-weight: bold;
        }

        .info {
            color: #5D6975;
            font-weight: bold;
        }


        .terms-header {
            display: block;
            position: absolute; 
            bottom: 110px;
            width: 100%;
            text-align:center;
            color: #5D6975;
            white-space: nowrap;
            border-bottom: 0.5px solid;
        }
        
        .terms {
            position: absolute; 
            width:100%;
            bottom: 65px;
            padding: 10px;
            text-align: center;
            font-size: 12px;
            color: #5D6975;
        }
        
        .footer {
            vertical-align: middle;
            position: fixed;
            height: 70px;
            width: 100%;
            bottom: 0;
            text-align: center;
            font-size: 9px;
        }
        .footer hr{
            margin-top: 0.5em;
            margin-bottom: 0.5em;
        }

        .stamp {
            position: relative;
            float:left;
            z-index:-1;
            width: 200px;
            bottom: 100px;
            padding-left:40%;
        }
    </style>
</head>
<body>
    
<table>
    <tr>
        <td style="width: 50%; text-align: left;" valign="top">
            {!! $invoice->companyProfile->logo(201, 40) !!}
        </td>
        <td style="width: 50%; text-align: right;" valign="top"><h1>{{ mb_strtoupper(trans('fi.invoice')) }}</h1>
        </td>
    </tr>
</table>

<table>
    <tr>
        <td class="tablehead">
            <table>
                <tr>
                    <td><strong>Invoice To:</strong><br>
        {{ $invoice->client->name }}<br>
        @if ($invoice->client->address) {!! $invoice->client->formatted_address !!}<br>@endif
                    </td>
                </tr>
            </table>
        </td>
        <td class="tablehead">
            <table>
                <tr>
                    <td><strong>Contact Details:</strong><br>
                    @if ($invoice->client->phone ) {!! $invoice->client->phone !!}<br>@endif
                    @if ($invoice->client->mobile) {!! $invoice->client->mobile !!}<br>@endif
                    @if ($invoice->client->email) {!! $invoice->client->email !!} <br>@endif
                    @if ($invoice->client->web) {!! $invoice->client->web !!} @endif
                    </td>
                </tr>
            </table>
        </td>
        <td class="tablehead tsummary">
            <table class="qsummary">
                <tr>
                    <td class="label">Invoice Number</td>
                    <td>{{ $invoice->number }}</td>
                </tr>
                <tr>
                    <td class="label">Invoice Date</td>
                    <td>{{ $invoice->formatted_created_at }}</td>
                </tr>
                <tr>
                    <td class="label">Due Date</td>
                    <td>{{ $invoice->formatted_due_at }}</td>
                </tr>
                <tr class="qsummarybalance">
                    <td class="label">Balance</td>
                    <td>{{ $invoice->amount->formatted_balance }}</td>
                </tr>
            </table>
        </td>
    </tr>
</table>

<table class="alternate">
    <thead id="description">
    <tr>
        <th class="productcol">{{ mb_strtoupper(trans('fi.product')) }}</th>
        <th>{{ mb_strtoupper(trans('fi.description')) }}</th>
        <th class="amount productcol">{{ mb_strtoupper(trans('fi.quantity')) }}</th>
        <th class="amount productcol">{{ mb_strtoupper(trans('fi.price')) }}</th>
        <th class="amount productcol">{{ mb_strtoupper(trans('fi.total')) }}</th>
    </tr>
    </thead>
    <tbody>
    @foreach ($invoice->items as $item)
        <tr class="item">
            <td>{!! $item->name !!}</td>
            <td>{!! $item->formatted_description !!}</td>
            <td nowrap class="amount">{{ $item->formatted_quantity }}</td>
            <td nowrap class="amount">{{ $item->formatted_price }}</td>
            <td nowrap class="amount">{{ $item->amount->formatted_subtotal }}</td>
        </tr>
    @endforeach

    <tr>
        <td></td>
        <td></td>
        <td></td>
        <td class="amount" id="totaldes">{{ mb_strtoupper(trans('fi.subtotal')) }}</td>
        <td class="amount" id="amount">{{ $invoice->amount->formatted_subtotal }}</td>
    </tr>

    @if ($invoice->discount > 0)
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td class="amount" id="totaldes">{{ mb_strtoupper(trans('fi.discount')) }}</td>
            <td class="amount" id="amount">{{ $invoice->amount->formatted_discount }}</td>
        </tr>
    @endif

    @foreach ($invoice->summarized_taxes as $tax)
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td class="amount" id="taxname">{{ mb_strtoupper($tax->name) }} ({{ $tax->percent }})</td>
            <td class="amount" id="amount">{{ $tax->total }}</td>
        </tr>
    @endforeach

    <tr>
        <td></td>
        <td></td>
        <td></td>
        <td class="amount" id="totaldes">{{ mb_strtoupper(trans('fi.total')) }}</td>
        <td class="amount" id="amount">{{ $invoice->amount->formatted_total }}</td>
    </tr>
    <tr>
        <td></td>
        <td></td>
        <td></td>
        <td class="amount" id="totaldes">{{ mb_strtoupper(trans('fi.paid')) }}</td>
        <td class="amount" id="amount">{{ $invoice->amount->formatted_paid }}</td>
    </tr>
    <tr>
        <td></td>
        <td></td>
        <td></td>
        <td class="amount" id="totaldes">{{ mb_strtoupper(trans('fi.balance')) }}</td>
        <td class="amount" id="balance">{{ $invoice->amount->formatted_balance }}</td>
    </tr>
    </tbody>
</table>

@if ($invoice->amount->formatted_balance == 'R0.00')
<img class="stamp" src="https://irp-cdn.multiscreensite.com/01df3044/files/uploaded/paid2.png" />
@endif

@if ($invoice->terms)
    <div class="section-header">{{ mb_strtoupper(trans('fi.terms_and_conditions')) }}</div>
    <div class="terms">{!! $invoice->formatted_terms !!}</div>
@endif

<div class="footer">{!! $invoice->formatted_footer !!}</div>

</body>
</html>