<!doctype html>
<html>
<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    <title>{{ trans('fi.quote') }} #{{ $quote->number }}</title>

    <style>
        @page {
            margin: 25px;
        }

        body {
            color: #001028;
            background: #FFFFFF;
            font-family : DejaVu Sans, Helvetica, sans-serif;
            font-size: 12px;
            margin-bottom: 50px;
        }

        a {
            color: blue;
            /*border-bottom: 1px solid currentColor;*/
            text-decoration: none;
        }

        h1 {
            color: #5D6975;
            font-size: 2.8em;
            line-height: 1.4em;
            font-weight: bold;
            margin: 0;
        }

        table {
            width: 100%;
            border-spacing: 0;
            margin-bottom: 20px;
            background-color: transparent;
        }
        
        #description th{
            border: 1px solid #ddd;
        }
        
        
        .item td{
            border: 1px solid #ddd;
        }
        
        .item:nth-child(even) {
            background-color: #f2f2f2;
        }

        th, .section-header {
            background: #bed0db;
            padding: 4px 10px;
            white-space: nowrap;
            text-align: left;
            font-weight: bold;
        }

        td {
            padding: 5px;
        }

        th.amount, td.amount {
            text-align: right;
            
        }
        
        .tablehead {
            text-align: left;
            vertical-align: top;
        }

        .tsummary {
            width: 35%;
            text-align: right;
        }
        
        .qsummary td{
            border: 1px solid #ddd;
        }
        
        .qsummarytotal {
            background: #bed0db;
            white-space: nowrap;
            font-weight: normal;
            font-size: 14px;
        }
        
        .label {
            font-weight:bold;
        }

        .productcol {
            width: 15%;
        }
        
        #amount {
            border: 1px solid #ddd;
            font-weight: bold;
        }
        
        #total {
            background-color: #dddddd;
            font-weight: bold;
            border-top: 1px solid black;
            border-bottom: 3px double black;
            font-size: 14px;
        }
        
        #totaldes {
            font-weight: bold;
        }

        .info {
            color: #5D6975;
            font-weight: bold;
        }


        .terms-header {
            display: block;
            position: absolute; 
            bottom: 140px;
            width: 100%;
            text-align:center;
            color: #5D6975;
            white-space: nowrap;
            border-bottom: 0.5px solid;
        }
        
        .terms {
            position: absolute; 
            width:100%;
            bottom: 65px;
            padding: 10px;
            text-align: center;
            font-size: 12px;
            color: #5D6975;
        }
        
        .footer {
            vertical-align: middle;
            position: fixed;
            height: 70px;
            width: 100%;
            bottom: 0;
            text-align: center;
            font-size: 9px;
        }
        .footer hr{
            margin-top: 0.5em;
            margin-bottom: 0.5em;
        }

    </style>
</head>

<body>
   
<table>
    <tr>
        <td style="width: 50%; text-align: left;" valign="top">
            {!! $quote->companyProfile->logo(201, 40) !!}
        </td>
        <td style="width: 50%; text-align: right;" valign="top"><h1>{{ mb_strtoupper(trans('fi.quote')) }}</h1>
        </td>
    </tr>
</table>

<table>
    <tr>
        <td class="tablehead">
            <table>
                <tr>
                    <td><strong>Quote To:</strong><br>
        {{ $quote->client->name }}<br>
        @if ($quote->client->address) {!! $quote->client->formatted_address !!}<br>@endif
                    </td>
                </tr>
            </table>
        </td>
        <td class="tablehead">
            <table>
                <tr>
                    <td><strong>Contact Details:</strong><br>
                    @if ($quote->client->phone ) {!! $quote->client->phone !!}<br>@endif
                    @if ($quote->client->mobile) {!! $quote->client->mobile !!}<br>@endif
                    @if ($quote->client->email) {!! $quote->client->email !!} <br>@endif
                    @if ($quote->client->web) {!! $quote->client->web !!} @endif
                    </td>
                </tr>
            </table>
        </td>
        <td class="tablehead tsummary">
            <table class="qsummary">
                <tr>
                    <td class="label">Quote Number</td>
                    <td>{{ $quote->number }}</td>
                </tr>
                <tr>
                    <td class="label">Quote Date</td>
                    <td>{{ $quote->formatted_created_at }}</td>
                </tr>
                <tr>
                    <td class="label">Valid Until</td>
                    <td>{{ $quote->formatted_expires_at }}</td>
                </tr>
                <tr class="qsummarytotal">
                    <td class="label">Total</td>
                    <td>{{ $quote->amount->formatted_total }}</td>
                </tr>
            </table>
        </td>
    </tr>
</table>

<table class="alternate">
    <thead id="description">
    <tr>
        <th class="productcol">{{ mb_strtoupper(trans('fi.product')) }}</th>
        <th>{{ mb_strtoupper(trans('fi.description')) }}</th>
        <th class="amount productcol">{{ mb_strtoupper(trans('fi.quantity')) }}</th>
        <th class="amount productcol">{{ mb_strtoupper(trans('fi.price')) }}</th>
        <th class="amount productcol">{{ mb_strtoupper(trans('fi.total')) }}</th>
    </tr>
    </thead>
    <tbody>
    @foreach ($quote->items as $item)
        <tr class="item">
            <td>{!! $item->name !!}</td>
            <td>{!! $item->formatted_description !!}</td>
            <td nowrap class="amount">{{ $item->formatted_quantity }}</td>
            <td nowrap class="amount">{{ $item->formatted_price }}</td>
            <td nowrap class="amount">{{ $item->amount->formatted_subtotal }}</td>
        </tr>
    @endforeach

    <tr>
        <td></td>
        <td></td>
        <td></td>
        <td class="amount" id="totaldes">{{ mb_strtoupper(trans('fi.subtotal')) }}</td>
        <td class="amount" id="amount">{{ $quote->amount->formatted_subtotal }}</td>
    </tr>

    @if ($quote->discount > 0)
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td class="amount" id="totaldes">{{ mb_strtoupper(trans('fi.discount')) }}</td>
            <td class="amount" id="amount">{{ $quote->amount->formatted_discount }}</td>
        </tr>
    @endif

    @foreach ($quote->summarized_taxes as $tax)
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td class="amount" id="totaldes">{{ mb_strtoupper($tax->name) }} ({{ $tax->percent }})</td>
            <td class="amount" id="amount">{{ $tax->total }}</td>
        </tr>
    @endforeach

    <tr>
        <td></td>
        <td></td>
        <td></td>
        <td class="amount" id="totaldes">{{ mb_strtoupper(trans('fi.total')) }}</td>
        <td class="amount" id="total">{{ $quote->amount->formatted_total }}</td>
    </tr>
    </tbody>
</table>

@if ($quote->terms)
    <div class="terms-header">{{ mb_strtoupper(trans('fi.terms_and_conditions')) }}</div>
    <div class="terms">{!! $quote->formatted_terms !!}</div>
@endif

<div class="footer">{!! $quote->formatted_footer !!}</div>

</body>
</html>